Subject: Re: [TR] Triumph GT6

From: Frank Magnusson <[email-masked]>
Date: Wed, 25 Feb 2015 19:30:45 -0600

Joao,

You shouldn't have any trouble with GT6 running gear.  If you are keeping the rotoflex rear end, that is the weak spot but also a blessing as it is a fully independent rear end whihc keeps the back axle flat on the ground unlike the earlier GT6 swing axle or Spit swing axle. I used to autocross mine once in awhile completely stock (E stock category) and I have beat 5 liter Mustangs and Corvettes.  No kidding.  Everybody wondered what kind of rear axle I had because they were used to seeing Spitfires lift the inside rear wheel in curves and just assumed it was a fastback Spitfire.

That's the neat thing about the GT6, everybody assumes it is just a fastback Spitfire, but all of the running gear are heavy beefed up units.  All that being said, I never had a rotoflex come part. But I also did not autocross a lot in it.  The rotoflex rear end is alittle bit of a pain to setup as you have to use different shims to get the end float just right on the wheel end bearing.  Not sure anybody sells those except maybe Rimmers.  TRF used to carry them, but I think I bought their remaining stock along time ago and have since sold all of my GT6 stuff.  

Hope this helps,
Frank
Wichita, KS.  

** [email-masked] **

Archive: http://www.team.net/archive